PETSc version 3.15.5
Fix/Edit manual page

# DMStagGetIsLastRank

get boolean value for whether this rank is last in each direction in the rank grid

### Synopsis

    PetscErrorCode DMStagGetIsLastRank(DM dm,PetscBool *isLastRank0,PetscBool *isLastRank1,PetscBool *isLastRank2)

Not Collective

### Input Parameter

| dm | - the DMStag object

### Output Parameters

| isLastRank0,isLastRank1,isLastRank2 | - whether this rank is last in each direction

### Notes

Arguments corresponding to higher dimensions are ignored for 1D and 2D grids. These arguments may be set to NULL in this case.

### See Also

DMSTAG, DMStagGetIsFirstRank()

### Level

intermediate

### Location

src/dm/impls/stag/stagutils.c

### Examples

src/dm/impls/stag/tutorials/ex1.c.html
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages